package com.sf.service.gateway.service;

import com.sf.service.gateway.domain.GatewayServer;
import com.sf.service.gateway.enums.GatewayDataStatus;

import java.util.Collection;
import java.util.List;
import java.util.Set;

/**
 * 服务管理Service接口
 * 
 * @author zoukun
 * @date 2024-04-22
 */
public interface IGatewayServerService 
{
    /**
     * 查询服务管理
     * 
     * @param id 服务管理主键
     * @return 服务管理
     */
    public GatewayServer selectGatewayServerById(Long id);

    /**
     * 查询服务管理列表
     * 
     * @param gatewayServer 服务管理
     * @return 服务管理集合
     */
    public List<GatewayServer> selectGatewayServerList(GatewayServer gatewayServer);

    /**
     * 新增服务管理
     * 
     * @param gatewayServer 服务管理
     * @return 结果
     */
    public int insertGatewayServer(GatewayServer gatewayServer);

    /**
     * 修改服务管理
     * 
     * @param gatewayServer 服务管理
     * @return 结果
     */
    public int updateGatewayServer(GatewayServer gatewayServer);

    /**
     * 批量删除服务管理
     * 
     * @param ids 需要删除的服务管理主键集合
     * @return 结果
     */
    public int deleteGatewayServerByIds(Long[] ids);

    /**
     * 删除服务管理信息
     * 
     * @param id 服务管理主键
     * @return 结果
     */
    public int deleteGatewayServerById(Long id);

    int updateGatewayServerStatusByIds(Collection<Long> ids, GatewayDataStatus status);

    List<GatewayServer> selectGatewayServerByIds(Collection<Long> ids);

    List<GatewayServer> selectGatewayServerByRouteIds(Collection<Long> routeIds);
}
